OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
JacobiPreconditioner< MatrixType > Class Template Reference

Diagonal preconditioner. More...

`#include <ConjGradient.h>`

Inherits Preconditioner< MatrixType::ValueType >.

## Public Types
using | ValueType = typename MatrixType::ValueType
using | BaseType = Preconditioner< ValueType >
using | VectorType = Vector< ValueType >
using | Ptr = SharedPtr< JacobiPreconditioner >

## Public Member Functions
| JacobiPreconditioner (const MatrixType &A)
| ~JacobiPreconditioner () override=default
void | apply (const Vector< ValueType > &r, Vector< ValueType > &z) override
| Apply this preconditioner to a residue vector: z = M−1r More...
bool | isFinite () const
| Return `true` if all values along the diagonal are finite. More...
virtual bool | isValid () const

## Detailed Description

### template<typename MatrixType>
class openvdb::v5_1::math::pcg::JacobiPreconditioner< MatrixType >

Diagonal preconditioner.

## Member Typedef Documentation

## ◆ BaseType

using BaseType = Preconditioner<ValueType>

## ◆ Ptr

using Ptr = SharedPtr<JacobiPreconditioner>

## ◆ ValueType

using ValueType = typename MatrixType::ValueType

## ◆ VectorType

using VectorType = Vector<ValueType>

## Constructor & Destructor Documentation

## ◆ JacobiPreconditioner()

JacobiPreconditioner | ( | const MatrixType & | A | ) |
| inline

## ◆ ~JacobiPreconditioner()

~JacobiPreconditioner | ( |  | ) |
| override default

## Member Function Documentation

## ◆ apply()

void apply | ( | const Vector< ValueType > & | r,
|  | Vector< ValueType > & | z
| ) |  |
| inline override virtual

Apply this preconditioner to a residue vector: z = M−1r

Parameters

  | r | residue vector
  [out] | z | preconditioned residue vector

Implements Preconditioner< MatrixType::ValueType >.

## ◆ isFinite()

bool isFinite | ( |  | ) | const
| inline

Return `true` if all values along the diagonal are finite.

## ◆ isValid()

virtual bool isValid | ( |  | ) | const
| inline virtual inherited

Reimplemented in IncompleteCholeskyPreconditioner< MatrixType >.

The documentation for this class was generated from the following file:

- ConjGradient.h